This class is an enumeration of constant values used in setting the autoSize property of the TextField class.

### Hierarchy

- TextFieldAutoSize

## Index

### Properties

- BOTH_DIRECTIONS
- HORIZONTAL
- NONE
- VERTICAL

## Properties

### Static BOTH_DIRECTIONS

BOTH_DIRECTIONS: string

- Defined in lib/starling/text/TextFieldAutoSize.d.ts:19

The text field will grow to the right and bottom; no line-breaks will be added.

### Static HORIZONTAL

HORIZONTAL: string

- Defined in lib/starling/text/TextFieldAutoSize.d.ts:12

The text field will grow/shrink sidewards; no line-breaks will be added. The height of the text field remains unchanged.

### Static NONE

NONE: string

- Defined in lib/starling/text/TextFieldAutoSize.d.ts:8

No auto-sizing will happen.

### Static VERTICAL

VERTICAL: string

- Defined in lib/starling/text/TextFieldAutoSize.d.ts:16

The text field will grow/shrink downwards, adding line-breaks when necessary. The width of the text field remains unchanged.

Generated using TypeDoc